Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.global
Class GetGlobalActionHandlerOperation

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.action.global.GlobalActionHandlerOperation
          org.eclipse.gmf.runtime.common.ui.services.action.global.GetGlobalActionHandlerOperation

All Implemented Interfaces:
  IOperation

    public final class GetGlobalActionHandlerOperation

extends GlobalActionHandlerOperation

An operation that gets the `IGlobalActionHandler` associated with the `IGlobalActionHandlerContext` from the `IGlobalActionHandlerProvider`

Constructor Summary
`GetGlobalActionHandlerOperation(IGlobalActionHandlerContext context)` Constructor for GetGlobalActionHandlerOperation.

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the `IGlobalActionHandlerProvider` provider.

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.action.global.GlobalActionHandlerOperation
`getContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetGlobalActionHandlerOperation

    public GetGlobalActionHandlerOperation(IGlobalActionHandlerContext context)

  Constructor for GetGlobalActionHandlerOperation.

  Parameters:
    `context` - The global action handler context

Method Detail

### execute

    public java.lang.Object execute(IProvider provider)

  Executes this operation on the `IGlobalActionHandlerProvider` provider.

  Parameters:
    `provider` - The provider on which to execute this operation.
  Returns:
    The result of executing this operation.
  See Also:
    `IOperation.execute(IProvider)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.